Skip to main content
curl --request GET 'https://api.mayar.id/hl/v1/payment?status=paid' \
--header 'Authorization: Bearer Paste-Your-API-Key-Here' \
--data ''
{
    "statusCode": 200,
    "messages": "success",
    "hasMore": false,
    "pageCount": 1,
    "pageSize": 10,
    "page": 1,
    "data": [
        {
            "id": "abbf58dc-6e12-4bdc-bdcf-e0a53340227d",
            "amount": 1000,
            "category": null,
            "createdAt": 1685960215853,
            "description": "<p>Pembayaran Uang Demo Produk, mohon untuk menyelesaikan dan melakukan pembayaran.</p>\n",
            "link": "pagovztwbu",
            "type": "payment_request",
            "status": "paid",
            "name": "Penagihan",
            "limit": null,
            "redirectUrl": null,
            "installmentId": null,
            "event": null,
            "order": null,
            "coverImageId": null,
            "multipleImageId": null,
            "coverImage": null,
            "multipleImage": null
        }
    ]
}
Endpoint:
https://api.mayar.id/hl/v1/payment?status=paid

Authorization

Authorization
string
required
Example:Authorization | Bearer Paste-Your-API-Key-Here

Query Parameter

status
string
required
Filter payment status;
  • active
  • paid
  • closed

Response

Successful Response

Main Structure (Root)

statusCode
integer
Status code form API.
messages
string
Status message that describes the status code.
hasMore
boolean
Information on whether there is additional data to be retrieved (true/false).
pageCount
integer
Total number of data pages.
pageSize
integer
Number of items per page.
page
integer
The page currently displayed.
data
array of object
List of products displayed.

data Structure (Array Of Object)

id
string<uuid>
Unique request payment ID.
amount
integer | null
Product price or nominal value.
category
string | null
Product category, can be null if there is no category.
createdAt
number | timestamp
Product creation time in epoch milliseconds format.
description
string
Product description.
Product slug/short URL.
type
string
Product type.
status
string
Product status.
name
string
Product name.
limit
number | null
Certain amount limit, can be null.
redirectUrl
string | null
Redirect destination URL, can be null.
installmentId
string | null
Installment ID if the product supports installments, can be null.
event
object | null
Related event data, can be null.
order
object | null
Related order data, can be null.
coverImageId
string | null
ID cover image, can be null.
multipleImageId
string | null
ID for multiple image group. can be null.
coverImage
object | null
Cover image data, can be null.
multimpleImage
array of object
List of additional images for the product.